Get Signature

Note: This is intended for testing purposes only and should not be used in production. Generate Signature refer to this page Digital Signature

This endpoint generates a digital signature to be used for secure API requests. The signature is created by combining various request details (such as the HTTP method, path, token, etc.) and helps authenticate that the request is valid and originates from a trusted source



FieldFormatMandatoryLengthExample
Content-Typestring Yapplication/json
Open-Api Timestampyyyy-mm-dd
'T'hh:mm:ss+07:00
Y2022-03-21T10:11:40+07:00

B. Request Body

FieldTypeDescriptionRequiredExample
client_idstringThe unique identifier for the B2B clientYes"{{B2B_CLIENT_ID}}"
methodstringThe HTTP method used in the requestYes"GET"
pathstringThe endpoint path used in the requestYes"/v1/open-api/balance"
tokenstringThe access token previously generated from this APIYes"{{B2B_OPEN_API_TOKEN}}"
timestampstringThe timestamp following ISO8601 /
RFC3339 format, including local timezone:
yyyy-MM-dd'T'HH:mm:ss+Z
Yes"2023-12-13T15:14:17.000+07:00"

C. Sample Request

{
    "client_id": "{{B2B_CLIENT_ID}}",
    "method": "GET",
    "path": "/v1/open-api/balance",
    "token": "{{B2B_OPEN_API_TOKEN}}",
    "timestamp": "2023-12-13T15:14:17.000+07:00"
}

D. Response Body

FieldTypeDescriptionExample
response_codestringA combination of HTTP code and Klikoo B2B internal code. See page documentation API's Response Code .“200012000”
response_messagestringAn explanation of response code"Success"
dataobjectContains additional data related to the response.
signaturestringThe generated digital signature"leovt4neqY/eFlg797t8TJXvS14x97
cJ/AQbgIjlW+HSqE8/MN8xS7z1IbB
C71zX7XEvqWP+4YAPa6l6SVM05w=="

D. Sample Response

{
    "response_code": "200012000",
    "response_message": "Sukses",
    "data": {
        "signature": "leovt4neqY/eFlg797t8TJXvS14x97cJ/AQbgIjlW+HSqE8/MN8xS7z1IbBC71zX7XEvqWP+4YAPa6l6SVM05w=="
    }
}

Try It Here (Form)

To try the following endpoint, enter the example request data you want to use in the following form


Body Params
string
string
string
string
string
Headers
date-time
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json